Errors after updating from 0.6.7 to 7.1.8

Posted on
Fri May 24, 2019 7:43 am
McJohn offline
User avatar
Posts: 514
Joined: Dec 18, 2012
Location: The Netherlands

Errors after updating from 0.6.7 to 7.1.8

Karl, version 0.6.7. of SecondsSinceLastChange was working perfectly.
We did an update to version 7.1.8 but then the errors are flying around and it won't work anymore.
what have we done wrong?


secondsSinceLastChange Error Error in plugin execution startup:

Traceback (most recent call last):
File "plugin.py", line 85, in startup
KeyError: key id 784322109 not found in database

secondsSinceLastChange Error Error in plugin execution runConcurrentThread:

Traceback (most recent call last):
File "plugin.py", line 516, in runConcurrentThread
AttributeError: 'Plugin' object has no attribute 'ML'

secondsSinceLastChange Error plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)
secondsSinceLastChange Error Error in plugin execution ServerReplacedElem:

Traceback (most recent call last):
File "plugin.py", line 231, in deviceUpdated
AttributeError: 'Plugin' object has no attribute 'ML'


und so weiter ...

Posted on
Fri May 24, 2019 10:32 am
kw123 offline
User avatar
Posts: 7771
Joined: May 12, 2013
Location: Dallas, TX

Re: Errors after updating from 0.6.7 to 7.1.8

looks like you deleted a "secs since last change device" - source while the plugin was inactive.

I need to be home to fix that condition


Karl

Posted on
Fri May 24, 2019 12:31 pm
McJohn offline
User avatar
Posts: 514
Joined: Dec 18, 2012
Location: The Netherlands

Re: Errors after updating from 0.6.7 to 7.1.8

Thanks for the feedback.
Strange, I didn't delete any device.
I only double clicked the latest downloaded version of SecondsSinceLastChange and after the install that errors appeared.

After the downgrade to 0.6.7 everything is working normal again. So don't hurry, it's working at the moment.

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest